<div>
  <h2 id="page-heading" data-cy="BoutiqueHeading">
    <span jhiTranslate="blogApp.boutique.home.title">Boutiques</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="blogApp.boutique.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-boutique"
        [routerLink]="['/boutique/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="blogApp.boutique.home.createLabel"> Créer un nouveau Boutique </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="boutiques?.length === 0">
    <span jhiTranslate="blogApp.boutique.home.notFound">Aucun Boutique trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="boutiques && boutiques.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="name">
            <div class="d-flex">
              <span jhiTranslate="blogApp.boutique.name">Name</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="lien">
            <div class="d-flex">
              <span jhiTranslate="blogApp.boutique.lien">Lien</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="horairesOuverture">
            <div class="d-flex">
              <span jhiTranslate="blogApp.boutique.horairesOuverture">Horaires Ouverture</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="thematique">
            <div class="d-flex">
              <span jhiTranslate="blogApp.boutique.thematique">Thematique</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="cooperative.id">
            <div class="d-flex">
              <span jhiTranslate="blogApp.boutique.cooperative">Cooperative</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="utilisateur.id">
            <div class="d-flex">
              <span jhiTranslate="blogApp.boutique.utilisateur">Utilisateur</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let boutique of boutiques; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/boutique', boutique.id, 'view']">{{ boutique.id }}</a>
          </td>
          <td>{{ boutique.name }}</td>
          <td>{{ boutique.lien }}</td>
          <td>{{ boutique.horairesOuverture }}</td>
          <td>{{ boutique.thematique }}</td>
          <td>
            <span *ngFor="let cooperative of boutique.cooperatives; let last = last">
              <a class="form-control-static" [routerLink]="['/cooperative', cooperative.id, 'view']">{{ cooperative.id }}</a
              >{{ last ? '' : ', ' }}
            </span>
          </td>
          <td>
            <div *ngIf="boutique.utilisateur">
              <a [routerLink]="['/utilisateur', boutique.utilisateur.id, 'view']">{{ boutique.utilisateur.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/boutique', boutique.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/boutique', boutique.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(boutique)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
